Loading...
Searching...
No Matches
L4Re::Ned::Cmd_control Class Reference

Direct control interface for Ned. More...

`#include <cmd_control>`

Collaboration diagram for L4Re::Ned::Cmd_control:

## Public Member Functions

long | execute (L4::Ipc::String<> cmd) noexcept
| Execute the given Lua code.
long | execute (L4::Ipc::String<> cmd, L4::Ipc::String< char > *result) noexcept
| Execute the given Lua code.

## Detailed Description

Direct control interface for Ned.

Definition at line 19 of file cmd_control.

## Member Function Documentation

## execute() [1/2]

long L4Re::Ned::Cmd_control::execute | ( | L4::Ipc::String<> | cmd | ) |

inlinenoexcept

Execute the given Lua code.

Parameters

  [in] | cmd | String with Lua code to execute.

Return values

  L4_EOK | Code was successfully executed.
  -L4_EINVAL | Code could not be parsed.
  -L4_EIO | Error during code execution.

The code is executed using the global Lua state of ned which is retained between successive calls to execute. Thus you may define data in one call to execute and use it in a subsequent call.

This function does not return any results from the execution of the Lua code itself.

Definition at line 42 of file cmd_control.

References L4::Kobject_t< Derived, L4::Kobject, L4::PROTO_ANY, Type_info::Demand_t<> >::c().

Here is the call graph for this function:

## execute() [2/2]

long L4Re::Ned::Cmd_control::execute | ( | L4::Ipc::String<> | cmd,
|  | L4::Ipc::String< char > * | result )

inlinenoexcept

Execute the given Lua code.

Parameters

  [in] | cmd | String with Lua code to execute.
  [out] | result | The first return value of the Lua code block as string.

Return values

  L4_EOK | Code was successfully executed.
  -L4_EINVAL | Code could not be parsed.
  -L4_EIO | Error during code execution.

The code is executed using the global Lua state of ned which is retained between successive calls to execute. Thus you may define data in one call to execute and use it in a subsequent call.

Definition at line 64 of file cmd_control.

References L4::Kobject_t< Derived, L4::Kobject, L4::PROTO_ANY, Type_info::Demand_t<> >::c().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- pkg/l4re-core/ned/lib/include/cmd_control